Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.i2p.router.web
Class StatSummarizer

    java.lang.Object
      net.i2p.router.web.StatSummarizer

All Implemented Interfaces:
  Runnable

    public class StatSummarizer

extends Object
implements Runnable

Constructor Summary
`StatSummarizer()`

Method Summary
`(package private) List` | `getListeners()` list of SummaryListener instances
`boolean` | `getXML(Rate rate, OutputStream out)`
`static StatSummarizer` | `instance()`
`boolean` | `renderPng(OutputStream out, String templateFilename)`
`boolean` | `renderPng(Rate rate, OutputStream out)`
`boolean` | `renderPng(Rate rate, OutputStream out, int width, int height, boolean hideLegend, boolean hideGrid, boolean hideTitle, boolean showEvents, int periodCount, boolean showCredit)`
`boolean` | `renderRatePng(OutputStream out, int width, int height, boolean hideLegend, boolean hideGrid, boolean hideTitle, boolean showEvents, int periodCount, boolean showCredit)` This does the two-data bandwidth graph only.
`void` | `run()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StatSummarizer

    public StatSummarizer()

Method Detail

### instance

    public static StatSummarizer instance()

### run

    public void run()

  Specified by:
    `run` in interface `Runnable`

### getListeners

    List getListeners()

  list of SummaryListener instances

### renderPng

    public boolean renderPng(Rate rate,
                             OutputStream out)
                      throws IOException

  Throws:
    `IOException`

### renderPng

    public boolean renderPng(Rate rate,
                             OutputStream out,
                             int width,
                             int height,
                             boolean hideLegend,
                             boolean hideGrid,
                             boolean hideTitle,
                             boolean showEvents,
                             int periodCount,
                             boolean showCredit)
                      throws IOException

  Throws:
    `IOException`

### renderPng

    public boolean renderPng(OutputStream out,
                             String templateFilename)
                      throws IOException

  Throws:
    `IOException`

### getXML

    public boolean getXML(Rate rate,
                          OutputStream out)
                   throws IOException

  Throws:
    `IOException`

### renderRatePng

    public boolean renderRatePng(OutputStream out,
                                 int width,
                                 int height,
                                 boolean hideLegend,
                                 boolean hideGrid,
                                 boolean hideTitle,
                                 boolean showEvents,
                                 int periodCount,
                                 boolean showCredit)
                          throws IOException

  This does the two-data bandwidth graph only. For all other graphs see SummaryRenderer

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD